<?php

$alexradar_theme_info = wp_get_theme();
define( 'alexradar_THEME_VERSION', ( WP_DEBUG ) ? time() : $alexradar_theme_info->get( 'Version' ) );

function alexradar_enqueue_scripts() {
	wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/css/bootstrap.min.css',null,alexradar_THEME_VERSION);
	wp_enqueue_style('alexradar-main-css', get_template_directory_uri().'/assets/css/main.css',null,alexradar_THEME_VERSION);
	wp_enqueue_style('alexradar-google-font-css', '//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800',null,alexradar_THEME_VERSION);
	wp_enqueue_style('linearicons', get_template_directory_uri().'/assets/css/linearicons.css',null,alexradar_THEME_VERSION);
	wp_enqueue_style('alexradar-editor-css', get_template_directory_uri().'/assets/css/style-editor.css',null,alexradar_THEME_VERSION);
	wp_enqueue_style('alexradar-style', get_stylesheet_uri());

	wp_enqueue_script('popper',get_template_directory_uri().'/assets/js/popper.min.js', array('jquery'),alexradar_THEME_VERSION,true);
	wp_enqueue_script('bootstrap',get_template_directory_uri().'/assets/js/bootstrap.min.js', array('jquery'),alexradar_THEME_VERSION,true);
	wp_enqueue_script( 'alexradar-navigation', get_template_directory_uri() .'/assets/js/navigation.js', array(), alexradar_THEME_VERSION, true );
	wp_enqueue_script( 'alexradar-skip-link-focus-fix', get_template_directory_uri() . '/assets/js/skip-link-focus-fix.js', array(), alexradar_THEME_VERSION, true );
	wp_enqueue_script( 'alexradar-main-js', get_template_directory_uri() . '/assets/js/main.js', array(), alexradar_THEME_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'alexradar_enqueue_scripts' );

function alexradar_block_editor_styles() {
	wp_enqueue_style( 'alexradar-block-editor-styles', get_template_directory_uri() . '/block-editor.css', null,alexradar_THEME_VERSION);
}
add_action( 'enqueue_block_editor_assets', 'alexradar_block_editor_styles' );
